### Method

# Gck Session set_pin

#### Declaration [src]

    gboolean
    gck_session_set_pin (
      GckSession* self,
      const guchar* old_pin,
      gsize n_old_pin,
      const guchar* new_pin,
      gsize n_new_pin,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Change the user’s pin on this slot that this session is opened on.

This call may block for an indefinite period.

#### Parameters

`old_pin`

  Type: An array of `guchar`

  The user’s old PIN, or `NULL` for protected authentication path.

  The argument can be `NULL`.
  The length of the array is specified in the `n_old_pin` argument.
  The data is owned by the caller of the method.

`n_old_pin`

  Type: `gsize`

  The length of the PIN.

`new_pin`

  Type: An array of `guchar`

  The user’s new PIN, or `NULL` for protected authentication path.

  The argument can be `NULL`.
  The length of the array is specified in the `n_new_pin` argument.
  The data is owned by the caller of the method.

`n_new_pin`

  Type: `gsize`

  The length of the PIN.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether successful or not.